#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( dcop )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### headers ###################################

install( FILES
    codebrowserfrontend.h kdevappfrontend.h kdevcreatefile.h
    kdevdifffrontend.h kdevmakefrontend.h kdevquickopen.h
    kdevsourceformatter.h kdevversioncontrol.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdevelop/interfaces/extensions )

tde_create_translated_desktop(
  SOURCE
    tdevelopappfrontend.desktop tdevelopcodebrowserfrontend.desktop
    tdevelopcreatefile.desktop tdevelopdifffrontend.desktop
    tdevelopmakefrontend.desktop tdevelopquickopen.desktop
    tdevelopsourceformatter.desktop tdevelopversioncontrol.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)


##### kdevextensions (static) ###################

add_custom_command( OUTPUT codebrowserfrontend.moc.cpp
  COMMAND
    ${TMOC_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/codebrowserfrontend.h -o codebrowserfrontend.moc.cpp
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/codebrowserfrontend.h )

add_custom_command( OUTPUT kdevversioncontrol.moc.cpp
  COMMAND
    ${TMOC_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/kdevversioncontrol.h -o kdevversioncontrol.moc.cpp
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/kdevversioncontrol.h )

tde_add_library( kdevextensions STATIC_PIC AUTOMOC
  SOURCES
    kdevappfrontend.cpp kdevappfrontend.cpp kdevmakefrontend.cpp
    codebrowserfrontend.moc.cpp kdevversioncontrol.moc.cpp
)
